Updated: 2013-01-25 Due date:

Has patch: No

Subject: Form.Textfield ViewHelper's placeholder attribute should be (re)moved

Description

currently, the placeholder attribute in the Textfield ViewHelper is explicitly enabled:
code class="php">
public function render($required = NULL, $type = 'text’, $placeholder = NULL) {
/...]
if ($placeholder == NULL) {
$this->tag->addAttribute('placeholder', $placeholder);

For consistency, this part should either be completely removed and settable via additionalArguments or, alternatively, set as

registerTagAttribute() in initializeArguments(). Of course we need to handle deprecation accordingly.

If you neither agree, than this should at least be reproduced in the textarea ViewHelper.

Related issues:

related to TYPOS.Fluid - Feature # 37496: placeholder attribute in textarea-v... Closed
related to TYPOS.Fluid - Feature # 55723: Support of schema.org attributes Closed
duplicated by TYPOS.Fluid - Bug # 48121: TextareaViewHelper is missing valid ... Resolved

2012-05-25
2014-02-06
2013-05-12

Associated revisions

Revision 11ecf9b2 - 2013-01-24 08:50 - Karsten Dambekalns

[M][TASK] Clean up placeholder on textfield and text area VHs

The form.textfield VH had a placeholder attribute as argument to the

render() method; the form.textarea VH did not support placeholder at all.

With this change the placeholder is available on both VHs but registered

as tag attribute.

If you extended TextfieldViewHelper::render() make sure to remove the
$placeholder argument, otherwise you will see
Argument "placeholder" has already been defined, thus it should not
be defined again.

errors from Fluid.
Change-Id: 124bb73c5de5a494259171ff289d434892f85e16e

Resolves: #37558
Releases: master

2015-08-03
Revision c8089da1 - 2013-02-16 13:28 - Adrian Féder

[TASK] Add placeholder attribute to password ViewHelper

As a follow-up to 124bb73c5de5a494259171f289d434892f85¢e16e,
this also adds the placeholder attribute to the password
ViewHelper.

Change-Id: Ib442a6b1a52f9ddc38a9227311559d8803443eee

Related: #37558
Releases: master, 2.0

Revision f40be1d7 - 2013-03-20 10:23 - Adrian Féder

[TASK] Add placeholder attribute to password ViewHelper

As a follow-up to 124bb73c5de5a494259171f289d434892f85e16e,
this also adds the placeholder attribute to the password
ViewHelper.

Change-Id: Ib442a6b1a52f9ddc38a9227311559d8803443eee

Related: #37558
Releases: master, 2.0

History

#1 - 2012-12-12 09:21 - Karsten Dambekalns
- Target version changed from 2.0 beta 1 to 2.0

#2 - 2013-01-23 07:16 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

#3 - 2013-01-24 08:50 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/17684

#4 - 2013-01-24 08:58 - Karsten Dambekalns
- Target version changed from 2.0 to 2.1

#5 - 2013-01-25 08:37 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:11ecf9b2997¢c98a967372968dd43ff469c75ee28.

2015-08-03

22


https://review.typo3.org/17684

